<?php
 include "seleccion.php";
  include "clave.php";
 
$data = array();
$fraccionamiento=$_POST['fraccionamiento'];	
$codigoa=$_POST['idregistro'];
$cluster=$_POST['cluster'];

//$fraccionamiento=226792;	
//$codigoa=1993011;
//$cluster='PRINCIPAL';

$wk=mysqli_query($connectionex, "SELECT  `AUTD`,`DBD`, `USUARIOBD`, `PASSBD`, `IPBD` FROM `datestables` where `PINCODE`='$fraccionamiento'");
if (mysqli_num_rows($wk) > 0) {
   $userData2 = $wk->fetch_assoc();
   $idlic=$userData2['IDFRACC'];
   $usernamebd2=$userData2['USUARIOBD'];
   $bdname2=$userData2['DBD'];
   $server2=$userData2['IPBD'];
   $passwordbd=$userData2['PASSBD'];
   $passwordbd2=decrypt($passwordbd,$bdname2);

$conn = new mysqli($server2,$usernamebd2,$passwordbd2,$bdname2);

if($cluster === 'PRINCIPAL'){
$q=mysqli_query($conn, "SELECT `IDCODA`,`ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y'), `NAMECV`, `ASUNTO`, `IDENTIV`, `TPASEV`, `ES`, `ACOMPV`, `INMUEBLE`, `TACCESOV`, `COMENT`, `PLACASV`, `NVEHICULOV`, `COLORV`, `MODVT`, `MARCAV`,`STATUSACCESO`, 'SALIDA' AS 'TVALIDA' FROM `invitacionqr` WHERE `ACCESOV`= '$codigoa' LIMIT 1"); 
if (mysqli_num_rows($q) > 0) {
   validarqr($conn, $q, $data);
}
else{
    $data['status'] = '';
    $data['result'] = 'EL CÓDIGO QR NO PERTENECE A ESTE FRACCIONAMIENTO O NO EXISTE';
    echo json_encode($data);
}
}
else{
    $q=mysqli_query($conn, "SELECT `IDCODA`,`ACCESOV`, DATE_FORMAT(`FECHALLEG`, '%d-%m-%Y'), `NAMECV`, `ASUNTO`, `IDENTIV`, `TPASEV`, `ES`, `ACOMPV`, `INMUEBLE`, `TACCESOV`, `COMENT`, `PLACASV`, `NVEHICULOV`, `COLORV`, `MODVT`, `MARCAV`,`STATUSACCESO`, 'SALIDA' AS 'TVALIDA' FROM `invitacionqr` WHERE `ACCESOV`= '$codigoa' AND 'cluster'= '$cluster' LIMIT 1"); 
if (mysqli_num_rows($q) > 0) {
   validarqr2($conn, $q, $data);
} else {
        $data['status'] = '';
        $data['result'] = 'EL CÓDIGO QR NO PERTENECE A CLUSTER O NO EXISTE';
        echo json_encode($data);
}
}
}

//Funciona para validar qr PRINCIPAL
   function validarqr ($conn, $q , $data) {
   $userData = $q->fetch_assoc();
   
   		if ($userData['TPASEV'] == 'hoy, una sola vez') {
 
		if (strtotime (date("d-m-Y")) != strtotime($userData['FECHALLEG'])){
	$data['status'] = '';
    $data['result'] = 'NO COINCIDE CON LA FECHA DE LLEGADA';
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
		else if ($userData['STATUSACCESO']!= '1'){
	$data['status'] = '';
    $data['result'] = 'EL CODIGO NO HA REGISTRADO INGRESO';
		}
		else if ($userData['STATUSACCESO']== '2'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO YA INGRESO Y SOLO PUEDE ACCEDER UNA VEZ';
		}
		else{
		$w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
   		}else if ($userData['TPASEV'] == 'hoy') {
   if (strtotime (date("d-m-Y")) != strtotime($userData['FECHALLEG'])){
	$data['status'] = '';
    $data['result'] = 'NO COINCIDE CON LA FECHA DE LLEGADA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '0'){
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO SALIDA, NO PUEDE ACCEDER NUEVAMENTE';
		}
			else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
	else if ($userData['STATUSACCESO'] == '1') {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
		else{
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO NO EXISTE'; 
		}
   		} else if ($userData['TPASEV'] == '7 dias') {
			$fechamax_llegada = strtotime('+7 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '1'){
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO SALIDA, NO PUEDE ACCEDER NUEVAMENTE';
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
	else if (($userData['STATUSACCESO'] == '5') || ($userData['STATUSACCESO'] == '0')) {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
				else{
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO NO EXISTE'; 
		}
   		}else if ($userData['TPASEV'] == '15 dias') {
  $fechamax_llegada = strtotime('+15 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '1'){
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO SALIDA, NO PUEDE ACCEDER NUEVAMENTE';
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
else if (($userData['STATUSACCESO'] == '5') || ($userData['STATUSACCESO'] == '0')) {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE  `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
				else{
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO NO EXISTE'; 
		}
   		}else if ($userData['TPASEV'] == '30 dias') {
  $fechamax_llegada = strtotime('+30 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '1'){
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO SALIDA, NO PUEDE ACCEDER NUEVAMENTE';
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
else if (($userData['STATUSACCESO'] == '5') || ($userData['STATUSACCESO'] == '0')) {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
				else{
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO NO EXISTE'; 
		}
   		}
		else if ($userData['TPASEV'] == '90 dias') {
  $fechamax_llegada = strtotime('+90 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '1'){
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO SALIDA, NO PUEDE ACCEDER NUEVAMENTE';
		}
		else if (($userData['STATUSACCESO'] == '5') || ($userData['STATUSACCESO'] == '0')) {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
   		}

echo json_encode($data);
}

//Funciona para validar qr cluster
   function validarqr2 ($conn, $q , $data) {
   $userData = $q->fetch_assoc();
   
   		if ($userData['TPASEV'] == 'hoy, una sola vez') {
 
		if (strtotime (date("d-m-Y")) != strtotime($userData['FECHALLEG'])){
	$data['status'] = '';
    $data['result'] = 'NO COINCIDE CON LA FECHA DE LLEGADA';
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
		else if ($userData['STATUSACCESO']== '0'){
	$data['status'] = '';
    $data['result'] = 'NO HA REGISTRADO INGRESO EN PRINCIPAL O CLUSTER';
		}
		else if ($userData['STATUSACCESO']== '2'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO YA INGRESO Y SOLO PUEDE ACCEDER UNA VEZ';
		}
		else{
		$w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
   		}else if ($userData['TPASEV'] == 'hoy') {
   if (strtotime (date("d-m-Y")) != strtotime($userData['FECHALLEG'])){
	$data['status'] = '';
    $data['result'] = 'NO COINCIDE CON LA FECHA DE LLEGADA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
			else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
	else if ($userData['STATUSACCESO'] == '1') {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
		else{
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO INGRESO EN PRINCIPAL O CLUSTER'; 
		}
   		} else if ($userData['TPASEV'] == '7 dias') {
			$fechamax_llegada = strtotime('+7 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
	else if ($userData['STATUSACCESO'] == '1') {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
				else{
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO INGRESO EN PRINCIPAL O CLUSTER'; 
		}
   		}else if ($userData['TPASEV'] == '15 dias') {
  $fechamax_llegada = strtotime('+15 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
else if ($userData['STATUSACCESO'] == '1') {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE  `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
				else{
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO INGRESO EN PRINCIPAL'; 
		}
   		}else if ($userData['TPASEV'] == '30 dias') {
  $fechamax_llegada = strtotime('+30 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
else if ($userData['STATUSACCESO'] == '1') {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
				else{
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO INGRESO EN PRINCIPAL'; 
		}
   		}
		else if ($userData['TPASEV'] == '90 dias') {
  $fechamax_llegada = strtotime('+90 day', strtotime($userData['FECHALLEG']));
  if (strtotime (date("d-m-Y")) > $fechamax_llegada){
	$data['status'] = '';
    $data['result'] = 'HA PASADO EL TIEMPO MAXIMO DE VIGENCIA';
     $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `STATUS-ACCESO`= '3' WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
		}
		else if ($userData['STATUSACCESO'] == '1') {
    $w=mysqli_query($conn, "UPDATE `codigos-acceso` SET `FLEIDO-ACCESO`= NOW() WHERE `idCODIGOS-ACCESO` = ".$userData['IDCODA']."");
	$data['status'] = 'ok';
    $data['result'] = $userData;
		}
		else if ($userData['STATUSACCESO']== '3'){
	$data['status'] = ''; 
    $data['result'] = 'EL CODIGO HA SIDO CANCELADO';
		}
			else{
	$data['status'] = ''; 
    $data['result'] = 'NO HA REGISTRADO INGRESO EN PRINCIPAL'; 
		}
   		}

echo json_encode($data);
}
?>